package com.mdd.admin.service.impl;

import com.mdd.admin.service.IChannelH5ConfigService;
import com.mdd.admin.validate.channel.ChannelH5Validate;
import com.mdd.admin.vo.channel.ChannelH5Vo;
import com.mdd.common.util.ConfigUtils;
import java.util.Map;
import org.springframework.stereotype.Service;

@Service
public class ChannelH5ConfigServiceImpl implements IChannelH5ConfigService {
   public ChannelH5Vo detail() {
      Map<String, String> config = ConfigUtils.get("h5_channel");
      ChannelH5Vo vo = new ChannelH5Vo();
      vo.setStatus(Integer.parseInt((String)config.getOrDefault("status", "0")));
      vo.setClose(Integer.parseInt((String)config.getOrDefault("close", "0")));
      vo.setUrl((String)config.getOrDefault("url", ""));
      return vo;
   }

   public void save(ChannelH5Validate channelH5Validate) {
      ConfigUtils.set("h5_channel", "status", String.valueOf(channelH5Validate.getStatus()));
      ConfigUtils.set("h5_channel", "close", String.valueOf(channelH5Validate.getClose()));
      ConfigUtils.set("h5_channel", "url", channelH5Validate.getUrl());
   }
}
